Using IBM ILOG Gantt for .NET on Visual Studio 2010

Technote (FAQ)


The System Requirements for IBM ILOG Gantt for .NET lists Microsoft Visual Studio 2008. Can I use Gantt for .NET with more recent versions, such as Visual Studio 2010 or 2012?


The only officially supported development environment is Visual Studio .NET 2008


Yes, you can compile your Gantt for .NET project using Visual Studio .NET 2010 or 2012, provided that you properly declare the required libraries in your project properties. You must add the following IBM ILOG Gantt for .NET 4.0 resources manually:

ILOG.Gantt.dll, ILOG.Gantt.Design.dll, ILOG.Gantt.Install.dll, ILOG.Gantt.VSPackage_vs2008.dll, and ILOG.Gantt.Web.dll.

IBM ILOG Gantt for .NET is not integrated inside Visual Studio, as it would be on Visual Studio .NET 2008. Therefore, for example, you do not have access to the Gantt for .NET drag and drop of Gantt for .NET components from the toolbox, nor do you have access to the documentation.

Related information

System Requirements for IBM ILOG Gantt for .NET

Document information

More support for:

IBM ILOG Gantt for .NET

Software version:


Operating system(s):


Software edition:

All Editions

Reference #:


Modified date:


Translate my page

Content navigation